from setuptools import setup, find_packages

name = "erp5.recipe.zope2instance"
version = '1.1'

def read(name):
    return open(name).read()

long_description=(
        read('README.txt')
        + '\n' +
        read('CHANGES.txt')
    )

setup(
    name = name,
    version = version,
    author = "Kazuhiko Shiozaki",
    author_email = "kazuhiko@nexedi.com",
    description = "ZC Buildout recipe for installing a Zope 2 instance for ERP5",
    long_description=long_description,
    license = "ZPL 2.1",
    keywords = "zope2 buildout",
    url='http://www.erp5.org/DownloadBuildout',
    classifiers=[
      "License :: OSI Approved :: Zope Public License",
      "Framework :: Buildout",
      "Framework :: Zope2",
      ],
    packages = find_packages('src'),
    include_package_data = True,
    package_dir = {'':'src'},
    namespace_packages = ['erp5', 'erp5.recipe'],
    install_requires = [
        'plone.recipe.zope2instance==3.6',
    ],
    zip_safe=False,
    entry_points = {'zc.buildout': ['default = %s:Recipe' % name]},
    )
