# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 Nexedi SARL and Contributors. All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#
##############################################################################
import os, shutil
import plone.recipe.zope2instance

class Recipe(plone.recipe.zope2instance.Recipe):
    def install(self):
        # Override plone.recipe.zope2instance so as to create several
        # directories used by ERP5.
        ret = plone.recipe.zope2instance.Recipe.install(self)
        options = self.options
        location = options['location']

        for directory in ('Constraint', 'Document', 'PropertySheet', 'tests'):
            path = os.path.join(location, directory)
            if not os.path.exists(path):
                os.mkdir(path)
        for directory in ('bt5',):
            path = os.path.join(location, directory)
            if os.path.exists(path) and not os.path.islink(path):
                shutil.rmtree(path)
            if not os.path.exists(path):
                os.symlink(os.path.join('..', directory), path)

        return ret
